Retrieve a list

Returns a filtered list of validated hours.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/validated-hours

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-hours-to-validate.read

Response properties

Field Type Required Writable Description
changeVersion string Read-only Property to indicate the order of changes.
id integer Read-only Unique identifier for the validated hours record.
person.id integer Read-only Internal ID of the person the validated hours belong to.
date string Read-only Date the validated hours are registered on (YYYY-MM-DD).
startTimeInMinutes integer Read-only Start time of the validated hours (minutes since midnight).
endTimeInMinutes integer Read-only End time of the validated hours (minutes since midnight).
durationInMinutes integer Read-only Duration of the validated hours, in minutes.

Filters

Filter Type Description
person Optional Filter by specific person IDs
date Required Date range (required, with a max of 1 year range)

Both a start and an end date are required. Check the Fetching Resources page on how to use the filter.

Pagination

This endpoint supports pagination via continuationToken. The response includes a nextLink field when more results are available. Pass the continuationToken value as a query parameter to retrieve the next page.

External references

The endpoint supports predefined and custom external references. See the external references page for details.

The following collections are supported for this endpoint:

Collection Predefined Custom
people @badge-number, @employee-number Supported

Error responses

Status Condition
400 Invalid filter syntax, unknown filter field, or missing date filter
401 Missing or invalid access token, or insufficient scope
409 Continuation token conflict (invalid or expired paging token)

Examples

Filter on date range

Example with a date range:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/validated-hours?filter=date ge '2025-01-01' and date le '2025-01-31'

Filter on people and a date range with external reference

Example with people, a date range and the employee number as an external reference:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/validated-hours?filter=person in (123,456) and date ge '2025-01-01' and date le '2025-01-31'&externalReferences=(people,@employee-number)

Related pages